=== debian/changelog ===
frogatto (1.0+dfsg1-6) unstable; urgency=low

  * Rebuilt using pbuilder, closes: #590212.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 26 Jul 2010 09:03:50 +0400

frogatto (1.0+dfsg1-5) unstable; urgency=low

  * Updated manpage.
  * Frogatto understands a few command-line options.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 23 Jul 2010 09:28:52 +0400

frogatto (1.0+dfsg1-4) unstable; urgency=low

  * removed ccache from b-d, closes FTBFS with our buildds.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 21 Jul 2010 16:21:45 +0400

frogatto (1.0+dfsg1-3) unstable; urgency=low

  * Added menuitem and menuicon.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 21 Jul 2010 14:36:23 +0400

frogatto (1.0+dfsg1-2) unstable; urgency=low

  * Added missed copyright,
    thanks for Alexander Reichle-Schmehl <ftpmaster@debian.org>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 16 Jul 2010 17:36:11 +0400

frogatto (1.0+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #589258).

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 16 Jul 2010 12:14:11 +0400
