=== debian/control ===
Source: frogatto
Section: contrib/games
Priority: extra
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Standards-Version: 3.9.0
Build-Depends: cdbs, debhelper (>= 7.0),
 libz-dev,
 libsdl1.2-dev (>= 1.2.7),
 libboost-dev (>= 1.35),
 libglew-dev,
 libsdl-ttf2.0-dev (>= 2.0.8),
 libsdl-mixer1.2-dev (>= 1.2.7),
 libsdl-image1.2-dev (>= 1.2.7),
 libboost-regex-dev (>= 1.35),
 libboost-system-dev (>= 1.35)
Homepage: http://www.frogatto.com/
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
VCS-Browser: http://git.debian.org/?p=pkg-games/frogatto.git;a=summary
VCS-Git: git+ssh://git.debian.org/git/pkg-games/frogatto.git

Package: frogatto
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 frogatto-data (>= ${UVersion})
Description:  2D platformer game starring a quixotic frog
 Frogatto is a platformer in the style of old arcade, Sega and
 Nintendo games. The world is viewed as a cross-section seen from the
 side, and your character walks and jumps between solid platforms
 whilst fighting monsters.
 .
 This package contains game engine.
