=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

UPSTREAM_CLEAN_VERSION	= $(shell 	\
		dpkg-parsechangelog 	\
	|	grep ^Version 		\
	|	awk '{print $$2}' 	\
	|	sed 's/[+-].*//' 	\
)

DEB_DH_GENCONTROL_ARGS	= -- -VUVersion=$(UPSTREAM_CLEAN_VERSION)

clean::
	find -name \*.o -delete
	rm -f game frogatto.6

build/frogatto:: frogatto.6
	make

frogatto.6: debian/frogatto.pod
	pod2man --section=6 $< > $@
