## frogatto 1.0.1%2bsvn3388-maemo1

=== debian/changelog ===
frogatto (1.0.1+svn3388-maemo1) experimental; urgency=low

  * Initial release.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sun, 29 Aug 2010 13:08:24 +0200
