## frogatto 1.0.1%2bsvn3428-maemo1

=== debian/changelog ===
frogatto (1.0.1+svn3428-maemo1) experimental; urgency=low

  * Update to svn revision 3428.
  * Pause game when out of focus.
  * Enable joystick by default, to support PS3 SIXAXIS on N900.
  * Update libboost dependencies to 1.42, for these are properly optified.
  * Fix bug tracker entry.
  * Split frogatto-music and frogatto-sounds packages from frogatto-data.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 03 Sep 2010 00:41:24 +0200
