=== debian/changelog ===
frogatto (1.0.2-maemo1) experimental; urgency=low

  * Upstream release: version 1.0.2

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sat, 04 Sep 2010 12:18:43 +0200
