## frogatto 1.0.2-maemo2

=== debian/changelog ===
frogatto (1.0.2-maemo2) experimental; urgency=low

  * Close audio devices and stop drawing while display off or minimized.
  * Remove dependency on libsdl-ttf2.0.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 07 Sep 2010 11:15:38 +0200
