=== debian/changelog ===
frogatto (1.0.3+svn3926-maemo1) experimental; urgency=low

  * Update to svn revsion 3926.
  * Packaged translations.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 18 Nov 2010 21:38:39 +0100

frogatto (1.0.3-maemo2) experimental; urgency=low

  * Fix closing from task switcher.
  * Fix loading of older savegames.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 16 Nov 2010 21:06:55 +0100

frogatto (1.0.3-maemo1) experimental; urgency=low

  * Upstream release: version 1.0.3

 -- Philipp Zabel <philipp.zabel@gmail.com>  Wed, 08 Sep 2010 20:12:21 +0200
