=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=4
export DH_OPTIONS

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH   ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifeq (,$(findstring nonfree,$(DEB_BUILD_OPTIONS)))
else
	MAKE += update-mo
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	#	 --prefix=/usr


build: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	install -d -m 0755 $(CURDIR)/debian/tmp/opt/frogatto/
	(if [ -e game ]; then \
	 install -m 0755 game $(CURDIR)/debian/tmp/opt/frogatto/ ; \
	 install -m 0644 FreeMono.ttf $(CURDIR)/debian/tmp/opt/frogatto/ ; \
	 fi)
	(if [ -e data ]; then \
	 cp -r data images locale music sounds $(CURDIR)/debian/tmp/opt/frogatto/ ; \
	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/games/ ; \
	 install -m 0755 debian/frogatto.sh $(CURDIR)/debian/tmp/usr/games/frogatto ; \
	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/share/applications/hildon/ ; \
	 install -m 0644 debian/frogatto.desktop $(CURDIR)/debian/tmp/usr/share/applications/hildon/ ; \
	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/share/dbus-1/services/ ; \
	 install -m 0644 debian/com.frogatto.game.service $(CURDIR)/debian/tmp/usr/share/dbus-1/services/ ; \
	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/share/icons/hicolor/64x64/hildon/ ; \
	 install -m 0644 debian/frogatto-64.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/64x64/hildon/frogatto.png ; \
	 fi)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-arch binary-indep binary install configure
