=== debian/changelog ===
frogatto (1.0.3+svn4222-maemo1) experimental; urgency=low

  * Update to svn revision 4222.
  * Recompiled level and object data files.
  * Added SVN revision to savegame version string for development builds.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 24 Jan 2011 21:54:40 +0100

frogatto (1.0.3+svn4066-maemo1) experimental; urgency=low

  * Update to svn revsion 4066.
  * Recompiled level and object data files.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 31 Dec 2010 20:31:19 +0100
