=== debian/control ===
Source: frogatto
Section: user/games
Priority: extra
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: libboost-iostreams1.42-dev, libboost-regex1.42-dev, libboost-system1.42-dev, libboost-date-time1.42-dev, libpng12-dev, libsdl1.2-dev (>= 1.2.7), libsdl-image1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-gles1.2-dev, libgles1-sgx-img-dev, libglib2.0-dev, libosso-dev, opengles-sgx-img-common-dev
Standards-Version: 5
XSBC-Bugtracker: mailto:philipp.zabel@gmail.com

Package: frogatto-engine
Section: games
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libvorbisidec1
XB-Description: Game engine for Frogatto & Friends
 This package contains the game engine binary for the Frogatto & Friends
 jump-and-run game, which is GPLv3 licensed.
