=== debian/changelog ===
frogatto (1.0.3+dfsg1-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 22 Sep 2010 15:15:26 +0400

frogatto (1.0+dfsg1-8) unstable; urgency=low

  * Fixed russian comment in frogatto.desktop.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 13 Aug 2010 11:25:20 +0400

frogatto (1.0+dfsg1-7) unstable; urgency=low

  * Added frogatto.desktop file for Gnome/KDE.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 13 Aug 2010 10:45:38 +0400
