=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 endif
 ifeq (,$(findstring nonfree,$(DEB_BUILD_OPTIONS)))
 else
-	MAKE += update-mo
+	MAKE =
 endif
 
 config.status: configure
@@ -68,7 +68,7 @@
 	 install -m 0644 FreeMono.ttf $(CURDIR)/debian/tmp/opt/frogatto/ ; \
 	 fi)
 	(if [ -e data ]; then \
-	 cp -r data images locale music sounds $(CURDIR)/debian/tmp/opt/frogatto/ ; \
+	 cp -r data images music sounds $(CURDIR)/debian/tmp/opt/frogatto/ ; \
 	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/games/ ; \
 	 install -m 0755 debian/frogatto.sh $(CURDIR)/debian/tmp/usr/games/frogatto ; \
 	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/share/applications/hildon/ ; \
