=== SConstruct ===
SConscript("src/SConscript", variant_dir = "build", duplicate = False)
